﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="ClusterDetails.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace CloudBlitz.DeploymentManager
{
    using System.Security.Cryptography.X509Certificates;

    public class ClusterDetails
    {
        public string Name { get; set; }

        public string StorageAccountName { get; set; }

        public string StorageKey { get; set; }

        public X509Certificate2 SSLCertificate { get; set; }

        public X509Certificate2 PasswordEncryptionCertificate { get; set; }

        public string ClusterAdmin { get; set; }

        public string ClusterAdminPassword { get; set; }

        public string HeadNodeName { get; set; }

        public string ComputeNodeName { get; set; }

        public int HeadNodeInstanceCount { get; set; }

        public int ComputeNodeInstanceCount { get; set; }

        public string ServiceConfigurationFilePath { get; set; }

        public string ServiceDefinitionFilePath { get; set; }
    }
}