﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="ISqlAzureServerManager.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace CloudBlitz.DeploymentManager
{
    using System.Collections.Generic;

    public interface ISqlAzureServerManager
    {
        IList<string> ListDatabases(string serverName);

        void CreateDatabase(string serverName, string databaseName, int maxSizeInGb);
    }
}