﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="Certificate.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureDataContracts
{
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/windowsazure")]
    public class Certificate
    {
        public string CertificateUrl { get; set; }

        public string Thumbprint { get; set; }

        public string ThumbprintAlgorithm { get; set; }

        public string Data { get; set; }
    }
}