﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="HostedService.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureDataContracts
{
    using System.Collections.Generic;
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/windowsazure")]
    [XmlRoot(Namespace = "http://schemas.microsoft.com/windowsazure", IsNullable = false)]
    public class HostedService
    {
        public string Url { get; set; }

        public string ServiceName { get; set; }

        public HostedServiceProperties HostedServiceProperties { get; set; }

        public List<Deployment> Deployments { get; set; }
    }
}