﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="StorageServices.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureDataContracts
{
    using System.Collections.Generic;
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/windowsazure")]
    [XmlRoot(Namespace = "http://schemas.microsoft.com/windowsazure", IsNullable = false)]
    public class StorageServices
    {
        [XmlElement("StorageService")]
        public List<StorageService> Items { get; set; }
    }
}