﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="CreateSqlAzureServer.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.SqlAzureDataContracts
{
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/sqlazure/2010/12/")]
    [XmlRoot(ElementName = "Server", Namespace = "http://schemas.microsoft.com/sqlazure/2010/12/", IsNullable = false)]
    public class CreateSqlAzureServer
    {
        public string AdministratorLogin { get; set; }

        public string AdministratorLoginPassword { get; set; }

        public string Location { get; set; }
    }
}