﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="HpcSchedulerCommandBase.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace HpcSchedulerManagement.Commands
{
    using System;

    using RestClient;

    public abstract class HpcSchedulerCommandBase : RestServiceCommandBase<IHpcSchedulerServiceContext>, IHpcSchedulerCommand 
    {
        protected HpcSchedulerCommandBase(IHpcSchedulerServiceContext serviceContext) : base(serviceContext)
        {
            if (serviceContext == null)
            {
                throw new ArgumentException("Service context must be null.", "serviceContext");
            }
        }
    }
}