﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="JobPriority.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace HpcSchedulerManagement.DataContracts
{
    using System;
    using System.Xml.Serialization;

    [Serializable]
    [XmlType(Namespace = "http://schemas.microsoft.com/HPCS2008R2/scheduler/")]
    public enum JobPriority
    {
        Lowest = 0,
        BelowNormal = 1,
        Normal = 2,
        AboveNormal = 3,
        Highest = 4
    }
}