﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="ParentChild.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace HpcSchedulerManagement.DataContracts
{
    using System;
    using System.Xml.Serialization;

    [Serializable]
    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/HPCS2008R2/scheduler/")]
    public class ParentChild
    {
        [XmlAttribute]
        public int GroupId { get; set; }

        [XmlIgnore]
        public bool GroupIdSpecified { get; set; }
    }
}