﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="TaskState.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace HpcSchedulerManagement.DataContracts
{
    using System;
    using System.Xml.Serialization;

    [Serializable]
    [XmlType(Namespace = "http://schemas.microsoft.com/HPCS2008R2/scheduler/")]
    public enum TaskState
    {
        Configuring = 1,
        Submitted = 2,
        Validating = 4,
        Queued = 8,
        Dispatching = 16,
        Running = 32,
        Finishing = 64,
        Finished = 128,
        Failed = 256,
        Canceled = 512,
        Canceling = 1024,
        All = 2047
    }
}