﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="IRestServiceContext.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace RestClient
{
    using System;
    using System.Net;

    public interface IRestServiceContext
    {
        Uri ServiceUri { get; }

        IServiceCredentials ServiceCredentials { get; }

        WebRequest BuildRequest(Func<RequestContext> requestContextFactory);
    }
}