﻿namespace AzureManagementTests
{
    using System;
    using System.Net;

    using AzureManagement;

    public class AzureServiceContext : RestServiceContext
    {
        public AzureServiceContext(AzureServiceCredentials serviceCredentials)
            : base(new Uri("https://management.core.windows.net"), serviceCredentials)
        {
            
        }

        public AzureServiceContext(string testUriString, AzureServiceCredentials serviceCredentials) : base(new Uri(testUriString), serviceCredentials)
        {
            
        }

        public override HttpWebRequest GetRequest(UriQueryBuilder builder)
        {
            throw new NotImplementedException();
        }
    }
}