﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="ITestWebResponseFactory.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagementTests.TestSupport
{
    using System.Collections.Generic;
    using System.Net;

    public interface ITestWebResponseFactory
    {
        string BaseUri { get; set; }

        string ApiVersion { get; set; }

        string SubscriptionId { get; set; }

        IList<string> ManagementCertificates { get; set; }

        WebResponse CreateResponse(TestWebRequest request);
    }
}