﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="SqlAzureServerMock.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagementTests.TestSupport
{
    using System.Collections.Generic;

    using AzureManagement.SqlAzureDataContracts;

    public class SqlAzureServerMock
    {
        public SqlAzureServerMock()
        {
            this.Rules = new List<FirewallRuleMock>();
        }

        public SqlAzureServer Server { get; set; }

        public IList<FirewallRuleMock> Rules { get; set; }
    }
}