﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="AzureCredentials.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace CloudBlitz.DeploymentManager
{
    public class AzureCredentials
    {
        public AzureCredentials()
        {
        }

        public AzureCredentials(string subscriptionId, string certificateThumbprint)
        {
            this.SubscriptionId = subscriptionId;
            this.CertificateThumbprint = certificateThumbprint;
        }

        public string SubscriptionId { get; set; }

        public string CertificateThumbprint { get; set; }
    }
}