﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="DeploymentData.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace CloudBlitz.DeploymentManager
{
    public class DeploymentData
    {
        public string SubscriptionId { get; set; }

        public string ManagementCertificateThumbprint { get; set; }

        public string StorageConnectionString { get; set; }

        public string AdministratorLogin { get; set; }

        public string AdministratorPassword { get; set; }

        public string ClusterTemplatePackage { get; set; }

        public string ClusterTemplateCsdef { get; set; }

        public string ClusterTemplateCscfg { get; set; }

        public string ClusterDnsName { get; set; }

        public string ClusterLocation { get; set; }

        public int HeadNodeInstanceCount { get; set; }

        public int ComputeNodeInstanceCount { get; set; }

        public string ServiceCertificate { get; set; }
    }
}