﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="IDeploymentOperation.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace CloudBlitz.DeploymentManager.DeploymentWorkflow
{
    using System;

    public interface IDeploymentOperation
    {
        OperationResult Execute(DeploymentContext context);

        event EventHandler<ProgressChangedEventArgs> ProgressChanged;

        event EventHandler<OperationCompletedEventArgs> Completed;

        int ProgressWeight { get; }
    }
}