﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="ProgressChangedEventArgs.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace CloudBlitz.DeploymentManager.DeploymentWorkflow
{
    using System;

    public class ProgressChangedEventArgs : EventArgs
    {
        public ProgressChangedEventArgs(int progress, string message)
        {
            this.Progress = progress;
            this.Message = message;
        }

        public int Progress { get; private set; }

        public string Message { get; private set; }
    }
}