﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="IAzureServiceClientsFactory.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace CloudBlitz.DeploymentManager
{
    using AzureManagement;

    public interface IAzureServiceClientsFactory
    {
        IAzureServiceManagementClient CreateServiceManagementClient(AzureCredentials azureCredentials);

        ISqlAzureManagementClient CreateSqlAzureManagementClient(AzureCredentials azureCredentials);
    }
}