﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="AzureManagementCommand.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureCommands
{
    using System;

    using RestClient;

    public abstract class AzureManagementCommand : RestServiceCommandBase<IAzureServiceContext>, IAzureManagementCommand
    {
        protected AzureManagementCommand(IAzureServiceContext serviceContext)
            : base(serviceContext)
        {
            if (serviceContext == null)
            {
                throw new ArgumentException("Service context must be null.", "serviceContext");
            }
        }
    }
}