﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="CreateDeployment.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureDataContracts
{
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/windowsazure")]
    [XmlRoot(Namespace = "http://schemas.microsoft.com/windowsazure", IsNullable = false)]
    public class CreateDeployment
    {
        public string Name { get; set; }

        public string PackageUrl { get; set; }

        public string Label { get; set; }

        public string Configuration { get; set; }

        public bool StartDeployment { get; set; }

        public bool TreatWarningsAsError { get; set; }
    }
}