﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="CreateStorageServiceInput.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureDataContracts
{
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/windowsazure")]
    [XmlRoot(Namespace = "http://schemas.microsoft.com/windowsazure", IsNullable = false)]
    public class CreateStorageServiceInput
    {
        public string ServiceName { get; set; }

        public string Description { get; set; }

        public string Label { get; set; }

        public string AffinityGroup { get; set; }

        public string Location { get; set; }

        public bool GeoReplicationEnabled { get; set; }
    }
}