﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="HostedServiceProperties.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureDataContracts
{
    using System;
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/windowsazure")]
    public class HostedServiceProperties
    {
        public string Description { get; set; }

        public string AffinityGroup { get; set; }

        public string Location { get; set; }

        public string Label { get; set; }

        public HostedServiceStatuses Status { get; set; }

        public DateTime DateCreated { get; set; }

        public DateTime DateLastModified { get; set; }
    }
}