﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="InstanceEndpoint.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureDataContracts
{
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/windowsazure")]
    public class InstanceEndpoint
    {
        public string Name { get; set; }

        public string Vip { get; set; }

        public int PublicPort { get; set; }

        public int LocalPort { get; set; }

        public string Protocol { get; set; }
    }
}