﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="InstanceStatuses.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureDataContracts
{
    public enum InstanceStatuses
    {
        RoleStateUnknown, 

        CreatingVM, 

        StartingVM, 

        CreatingRole, 

        StartingRole, 

        ReadyRole, 

        BusyRole, 

        StoppingRole, 

        StoppingVM, 

        DeletingVM, 

        StoppedVM, 

        RestartingRole, 

        CyclingRole, 

        FailedStartingVM, 

        UnresponsiveRole
    }
}