﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="RoleInstance.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureDataContracts
{
    using System.Collections.Generic;
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/windowsazure")]
    public class RoleInstance
    {
        public string RoleName { get; set; }

        public string InstanceName { get; set; }

        public InstanceStatuses InstanceStatus { get; set; }

        public int InstanceUpgradeDomain { get; set; }

        public int InstanceFaultDomain { get; set; }

        public string InstanceSize { get; set; }

        public InstanceStateDetails InstanceStateDetails { get; set; }

        public string IpAddress { get; set; }

        public List<InstanceEndpoint> InstanceEndpoints { get; set; }

        public string PowerState { get; set; }
    }
}