﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="StorageService.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.AzureDataContracts
{
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/windowsazure")]
    [XmlRootAttribute(Namespace = "http://schemas.microsoft.com/windowsazure", IsNullable = false)]
    public class StorageService
    {
        public string Url { get; set; }

        public string ServiceName { get; set; }

        public StorageServiceProperties StorageServiceProperties { get; set; }

        public StorageServiceKeys StorageServiceKeys { get; set; }
    }
}