﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="SqlAzureServers.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace AzureManagement.SqlAzureDataContracts
{
    using System.Collections.Generic;
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/sqlazure/2010/12/")]
    [XmlRoot(ElementName = "Servers", Namespace = "http://schemas.microsoft.com/sqlazure/2010/12/", IsNullable = false)]
    public class SqlAzureServers
    {
        [XmlElement("Server")]
        public List<SqlAzureServer> Items { get; set; }
    }
}