﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="ArrayOfObject.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace HpcSchedulerManagement.DataContracts
{
    using System.Collections.Generic;
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/HPCS2008R2/common")]
    [XmlRoot(Namespace = "http://schemas.microsoft.com/HPCS2008R2/common", IsNullable = false)]
    public class ArrayOfObject
    {
        [XmlElement("Object")]
        public List<PropertiesOfObject> Object { get; set; }
    }
}