﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="Parent.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace HpcSchedulerManagement.DataContracts
{
    using System;
    using System.Collections.Generic;
    using System.Xml.Serialization;

    [Serializable]
    [XmlType(Namespace = "http://schemas.microsoft.com/HPCS2008R2/scheduler/")]
    public class Parent
    {
        [XmlElement("Child")]
        public List<ParentChild> Child { get; set; }

        [XmlAttribute]
        public int GroupId { get; set; }

        [XmlIgnore]
        public bool GroupIdSpecified { get; set; }
    }
}