﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="PropertiesOfObject.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace HpcSchedulerManagement.DataContracts
{
    using System.Collections.Generic;
    using System.Xml.Serialization;

    [XmlType(AnonymousType = true, Namespace = "http://schemas.microsoft.com/HPCS2008R2/common")]
    public class PropertiesOfObject
    {
        [XmlArrayItem("Property", IsNullable = false)]
        public List<Property> Properties { get; set; }         
    }
}