﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="TaskType.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace HpcSchedulerManagement.DataContracts
{
    using System;
    using System.Xml.Serialization;

    [Serializable]
    [XmlType(Namespace = "http://schemas.microsoft.com/HPCS2008R2/scheduler/")]
    public enum TaskType
    {
        Basic = 0,
        NodePrep = 2,
        NodeRelease = 3,
        ParametricSweep = 1,
        Service = 4
    }
}