﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="CloudBlitzGlobalRetryPolicy.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace RestClient
{
    using System;

    public static class CloudBlitzGlobalRetryPolicy
    {
        private static readonly IRetryPolicy exponentialRetry = new ExponentialRetry(TimeSpan.FromSeconds(3), 3);

         public static IRetryPolicy GetDefaultRetryPolicy()
         {
             return exponentialRetry.CreateInstance();
         }
    }
}