﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="IRetryPolicy.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace RestClient
{
    using System;
    using System.Net;

    public interface IRetryPolicy
    {
        IRetryPolicy CreateInstance();

        TimeSpan RetryIn(int currentRetryCount, HttpStatusCode statusCode, Exception lastException, IRestServiceContext context);
    }
}