﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright company="Microsoft Corp." file="RequestOptions.cs">
//   All rights reserved. See License.txt in the project root for license information.
// </copyright>
// 
// --------------------------------------------------------------------------------------------------------------------
namespace RestClient
{
    public class RequestOptions
    {
        public RequestOptions()
        {
            this.RetryPolicy = CloudBlitzGlobalRetryPolicy.GetDefaultRetryPolicy();
        }

        public IRetryPolicy RetryPolicy { get; set; }

        public OperationContext OperationContext { get; set; }
    }
}