﻿Function Import-MyModule
{
    [CmdletBinding()]
	Param([string]$Name, [string]$Path)

	if (-not(Get-Module -Name $Name))
    {
        if(Get-Module -ListAvailable | Where-Object{$_.Name -eq $Name})
        {
            Import-Module -Name $name
            $true
        }
        else 
        {
            Import-Module $Path
            $true
        }
    }
    else
    {
        $true
    }
}